/* Copyright (c) 2000-2003 ActiveState Corporation.
   See the file LICENSE.txt for licensing information. */

var macroname, filename, keybinding, gPart, gItem = null;
var macronamelabel;

function onLoad() {
    trace_onload();
    var dialog = document.getElementById("dialog");
    gOKButton = dialog.getButton("accept");
    gApplyButton = dialog.getButton("extra1");
    gApplyButton.setAttribute('label', 'Apply');
    gApplyButton.setAttribute('accesskey', 'a');

    gItem = window.arguments[0].item;
    gPart = gItem.part;
    macroname = document.getElementById('macroname');
    macronamelabel = document.getElementById('macronamelabel');
    filename = document.getElementById('filename');
    if (window.arguments[0].task == 'new') {
        window.title = "Create New Macro";
        gApplyButton.setAttribute('collapsed', 'true');
    } else {
        window.title = "Macro Properties";
    }

    keybinding = document.getElementById('keybindings');
    keybinding.gKeybindingMgr = opener.gKeybindingMgr;
    keybinding.part = gPart;
    keybinding.init();

    
    if (gPart.hasAttribute("name")) {
        macroname.value = gPart.getStringAttribute('name');
        keybinding.commandParam = macroname.value;
        macronamelabel.value = macroname.value;
        filename.value = gPart.getStringAttribute('filename');
    }
    keybinding.updateCurrentKey();

    macroname.focus();
    macroname.select();
    updateOK();
};

function makeAppliable() {
    gApplyButton.removeAttribute('disabled');
}

function OK()  {
    if (!_Apply()) {
        return false;
    }
    window.arguments[0].res = true;
    return true;
};

function Apply() {
    return _Apply();
}

function _Apply()  {
    gPart.setStringAttribute('filename', filename.value);
    gPart.setStringAttribute('name', macroname.value);
    keybinding.commandParam = macroname.value;
    gItem.name = macroname.value;
    opener.invalidateItem(gItem);
    return keybinding.apply();
};

function updateOK() {
    if (filename.value == '' || macroname.value == '') {
        gOKButton.setAttribute('disabled', 'true');
        gApplyButton.setAttribute('disabled', 'true');
    } else {
        if (gOKButton.hasAttribute('disabled')) { 
            gOKButton.removeAttribute('disabled');
        }
        if (gApplyButton.hasAttribute('disabled')) { 
            gApplyButton.removeAttribute('disabled');
        }
    }
}

function Cancel()  {
    window.arguments[0].res= false;
    return true;
};

function updateStaticLabel() {
    dump('updating to ' + macroname.value + '\n');
    macronamelabel.value = macroname.value;
}