/* Copyright (c) 2000-2001 ActiveState SRL. 
   See the file LICENSE.txt for licensing information. */

/* Web Services Setup Wizard - panel 2 */

//---- globals

var _gPanelName = "wsSetup_ReadyToInstall";



//---- interface for pane_2.xul


function OnLoad()
{
    // Give a nice header name for this pane.
    var headerWidget = parent.document.getElementById("header");
    headerWidget.setAttribute("title", "Ready To Install");
    headerWidget.setAttribute("description",
        "The Setup Wizard is ready to install Web Services support.");

    // Change the "Next" button to say "Install".
    var nextButton = parent.document.getElementById("wiz-next-button");
    nextButton.setAttribute("label", "Install");

    // Describe the installation procedure.
    var actionWidget = document.getElementById("action-description");
    var wsSetupSvc = parent.wsSetupSvcs[parent.wd_language];
    var textNode = document.createTextNode(
        wsSetupSvc.DescribeSetupProcedure());
    actionWidget.appendChild(textNode);

    parent.wizardManager.onPageLoad(_gPanelName);
}


function OnUnload()
{
    // Restore "Next" to the Next button.
    var nextButton = parent.document.getElementById("wiz-next-button");
    nextButton.setAttribute("label", "Next");
}