use strict;
use SOAP::Lite;

sub GetQuote {
  # Declare 'our' variables for named widgets.
  our $_label_1;
  our $_entry_1;
  # Instantiate the stock quote service
  my $StockQuoteService = SOAP::Lite->service("http://services.xmethods.net/soap/urn:xmethods-delayed-quotes.wsdl");
  # Get the company stock symbol to use from entry widget
  my $QuoteSymbol = $_entry_1->get();
  # Get the value of stock from service
  my $StockVal = $StockQuoteService->getQuote($QuoteSymbol);
  # Configure label widget with value of stock
  $_label_1->configure(-text => $StockVal);
}


