<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
     version="1.0">
  <xsl:output method="xml"/>

<xsl:template name='genWSDL'>
    <xsl:param name='node'/>
    <xsl:variable name='imports' select='document($node/*/wsdl:import/@location)'/>
    <xsl:for-each select='$imports'>
        <xsl:call-template name='genWSDL'>
            <xsl:with-param name='node' select='.'/>
        </xsl:call-template>
    </xsl:for-each>
    <xsl:copy-of select="$node"/>
</xsl:template>

<xsl:template match="/">
    <xsl:variable name='wsdl'>
        <wsdl>
        <xsl:call-template name='genWSDL'>
            <xsl:with-param name='node' select='.'/>
        </xsl:call-template>
        </wsdl>
    </xsl:variable>
    <xsl:copy-of select="$wsdl"/>
</xsl:template>



</xsl:stylesheet>

